> For clean Markdown content of this page, append .md to this URL. For the complete documentation index, see https://learning.postman.com/llms.txt. For full content including API reference and SDK examples, see https://learning.postman.com/llms-full.txt.

# Get a service by ID

GET https://api.getpostman.com/api-catalog/services/{serviceId}

Gets information about a service, including its health, traffic, compliance, ownership, and dependencies.

Reference: https://learning.postman.com/api-docs/api-reference/api-catalog/get-api-catalog-service

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: Postman API
  version: 1.0.0
paths:
  /api-catalog/services/{serviceId}:
    get:
      operationId: getApiCatalogService
      summary: Get a service by ID
      description: >-
        Gets information about a service, including its health, traffic,
        compliance, ownership, and dependencies.
      tags:
        - apiCatalog
      parameters:
        - name: serviceId
          in: path
          description: The service's ID.
          required: true
          schema:
            $ref: '#/components/schemas/serviceId'
        - name: systemEnvironmentId
          in: query
          description: The system environment's ID.
          required: true
          schema:
            $ref: '#/components/schemas/systemEnvironmentId'
        - name: x-api-key
          in: header
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/getApiCatalogService'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/apiCatalogError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/GetApiCatalogServiceRequestInternalServerError
servers:
  - url: https://api.getpostman.com
    description: https://api.getpostman.com
  - url: https://api.eu.postman.com
    description: https://api.eu.postman.com
components:
  schemas:
    serviceId:
      type: string
      title: serviceId
    systemEnvironmentId:
      type: string
      title: systemEnvironmentId
    apiCatalogServiceMetadataFiltersData:
      type: object
      properties: {}
      description: The filters applied to the request.
      title: apiCatalogServiceMetadataFiltersData
    ApiCatalogServiceMetadataTimeRangeDataLabel:
      type: string
      enum:
        - last_7_days
      description: The time range's label.
      title: ApiCatalogServiceMetadataTimeRangeDataLabel
    apiCatalogServiceMetadataTimeRangeData:
      type: object
      properties:
        start:
          type: string
          format: date-time
          description: The start of the time window.
        end:
          type: string
          format: date-time
          description: The end of the time window.
        label:
          $ref: '#/components/schemas/ApiCatalogServiceMetadataTimeRangeDataLabel'
          description: The time range's label.
      required:
        - start
        - end
        - label
      description: The time window for the returned data.
      title: apiCatalogServiceMetadataTimeRangeData
    GetApiCatalogServiceMeta:
      type: object
      properties:
        filters:
          $ref: '#/components/schemas/apiCatalogServiceMetadataFiltersData'
        timeRange:
          $ref: '#/components/schemas/apiCatalogServiceMetadataTimeRangeData'
      required:
        - timeRange
      description: The response's meta information for paginated results.
      title: GetApiCatalogServiceMeta
    GetApiCatalogServiceDataStatus:
      type: string
      enum:
        - healthy
        - warning
        - critical
        - inactive
      description: The overall health status, derived from compliance signals.
      title: GetApiCatalogServiceDataStatus
    getApiCatalogServiceTrafficData:
      type: object
      properties:
        p95LatencyMs:
          type: number
          format: double
          description: The 95th-percentile response latency, in milliseconds.
        errorRatePct:
          type: number
          format: double
          description: The percentage of requests that resulted in errors.
        totalRequests:
          type: integer
          description: The total number of requests.
        totalRequestsDeltaPct:
          type:
            - number
            - 'null'
          format: double
          description: >-
            The percentage change in total requests compared to the preceding
            seven day window.
        totalErrors:
          type: integer
          description: The total number of error responses.
        totalEndpoints:
          type: integer
          description: The total number of distinct endpoints.
        p95LatencyMsDeltaPct:
          type:
            - number
            - 'null'
          format: double
          description: >-
            The percentage change in p95 latency compared to the preceding seven
            day window.
        errorRatePctDeltaPct:
          type:
            - number
            - 'null'
          format: double
          description: >-
            The percentage change in error rate compared to the preceding seven
            day window.
      description: >-
        Information about traffic and performance within the time window. If
        there's no traffic data, this returns a null value.
      title: getApiCatalogServiceTrafficData
    GetApiCatalogServiceComplianceDataMonitorRunStatus:
      type: string
      enum:
        - passed
        - failed
      description: >-
        Whether the monitor's latest runs passed or failed. If no runs exist,
        this returns a null value.
      title: GetApiCatalogServiceComplianceDataMonitorRunStatus
    GetApiCatalogServiceComplianceDataMonitorRun:
      type: object
      properties:
        status:
          oneOf:
            - $ref: >-
                #/components/schemas/GetApiCatalogServiceComplianceDataMonitorRunStatus
            - type: 'null'
          description: >-
            Whether the monitor's latest runs passed or failed. If no runs
            exist, this returns a null value.
        totalMonitors:
          type: integer
          description: >-
            The total number of monitors in the workspace. This value is the
            same as the as `entityCounts.monitors` value.
        activeMonitors:
          type: integer
          description: >-
            The number of distinct monitors with at least one run in the time
            window.
        passingMonitors:
          type: integer
          description: >-
            The number of distinct monitors whose latest run passed within the
            time window.
        failingMonitors:
          type: integer
          description: >-
            The number of distinct monitors whose latest run failed within the
            time window.
        lastRunAt:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            The date and time of the most recent run across all monitors. If no
            runs exist, this returns a null value.
      required:
        - status
        - totalMonitors
        - activeMonitors
        - passingMonitors
        - failingMonitors
        - lastRunAt
      description: The scheduled monitor run summary.
      title: GetApiCatalogServiceComplianceDataMonitorRun
    GetApiCatalogServiceComplianceDataCliRunStatus:
      type: string
      enum:
        - passed
        - failed
      description: >-
        Whether the pipelines' latest runs passed or failed. If no runs exist,
        this returns a null value.
      title: GetApiCatalogServiceComplianceDataCliRunStatus
    GetApiCatalogServiceComplianceDataCliRun:
      type: object
      properties:
        status:
          oneOf:
            - $ref: >-
                #/components/schemas/GetApiCatalogServiceComplianceDataCliRunStatus
            - type: 'null'
          description: >-
            Whether the pipelines' latest runs passed or failed. If no runs
            exist, this returns a null value.
        activePipelines:
          type: integer
          description: >-
            The number of distinct pipelines with at least one run within the
            time window.
        passingPipelines:
          type: integer
          description: >-
            The number of distinct pipelines whose latest run passed within the
            time window.
        failingPipelines:
          type: integer
          description: >-
            The number of distinct pipelines whose latest run failed within the
            time window.
        lastRunAt:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            The date and time of the most recent run across all pipelines. If no
            runs exist, this returns a null value.
      required:
        - status
        - activePipelines
        - passingPipelines
        - failingPipelines
        - lastRunAt
      description: Information about the CI/CD pipeline.
      title: GetApiCatalogServiceComplianceDataCliRun
    GetApiCatalogServiceComplianceDataSpecLintStatus:
      type: string
      enum:
        - passed
        - failed
      description: >-
        Whether the specifications' latest lints passed or failed. If no lints
        exist, this returns a null value.
      title: GetApiCatalogServiceComplianceDataSpecLintStatus
    GetApiCatalogServiceComplianceDataSpecLint:
      type: object
      properties:
        status:
          oneOf:
            - $ref: >-
                #/components/schemas/GetApiCatalogServiceComplianceDataSpecLintStatus
            - type: 'null'
          description: >-
            Whether the specifications' latest lints passed or failed. If no
            lints exist, this returns a null value.
        totalSpecs:
          type: integer
          description: >-
            The total number of API specifications in the workspace. This value
            is the same as the as `entityCounts.specifications` value.
        activeSpecs:
          type: integer
          description: >-
            The number of distinct specifications with at least one lint within
            the time window.
        passingSpecs:
          type: integer
          description: >-
            The number of distinct specifications whose latest lint passed
            within the time window.
        failingSpecs:
          type: integer
          description: >-
            The number of distinct specifications whose latest lint failed
            within the time window.
        lastRunAt:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            The date and time of the most recent lint run across all
            specifications. If no lint exist, this returns a null value.
      required:
        - status
        - totalSpecs
        - activeSpecs
        - passingSpecs
        - failingSpecs
        - lastRunAt
      description: Information about the API specification lint.
      title: GetApiCatalogServiceComplianceDataSpecLint
    GetApiCatalogServiceComplianceDataCollectionRuns:
      type: object
      properties:
        totalRuns:
          type: integer
          description: The total number of collection runs.
        passedRuns:
          type: integer
          description: The number of collection runs that passed.
        failedRuns:
          type: integer
          description: The number of collection runs that failed.
        passRate:
          type:
            - number
            - 'null'
          format: double
          description: >-
            The percentage of collection runs that passed. If no runs exist,
            this returns a null value.
        totalCollections:
          type: integer
          description: >-
            The total number of collections in the workspace. This value is the
            same as the as `entityCounts.collections` value.
        activeCollections:
          type: integer
          description: >-
            The number of distinct collections with at least one run within the
            time window.
        totalAssertions:
          type: integer
          description: The total number of assertions evaluated.
        failedAssertions:
          type: integer
          description: The number of assertions that failed.
      required:
        - totalRuns
        - passedRuns
        - failedRuns
        - passRate
        - totalCollections
        - activeCollections
        - totalAssertions
        - failedAssertions
      description: >-
        Information about collection runs, including monitor runs, CI pipeline
        runs, and manual runs.
      title: GetApiCatalogServiceComplianceDataCollectionRuns
    getApiCatalogServiceComplianceData:
      type: object
      properties:
        monitorRun:
          $ref: '#/components/schemas/GetApiCatalogServiceComplianceDataMonitorRun'
          description: The scheduled monitor run summary.
        cliRun:
          $ref: '#/components/schemas/GetApiCatalogServiceComplianceDataCliRun'
          description: Information about the CI/CD pipeline.
        specLint:
          $ref: '#/components/schemas/GetApiCatalogServiceComplianceDataSpecLint'
          description: Information about the API specification lint.
        collectionRuns:
          $ref: >-
            #/components/schemas/GetApiCatalogServiceComplianceDataCollectionRuns
          description: >-
            Information about collection runs, including monitor runs, CI
            pipeline runs, and manual runs.
      required:
        - monitorRun
        - cliRun
        - specLint
        - collectionRuns
      description: Information about compliance and governance.
      title: getApiCatalogServiceComplianceData
    getApiCatalogServiceEntityCountData:
      type: object
      properties:
        collections:
          type: integer
          description: The total number of collections.
        specifications:
          type: integer
          description: The total number of API specifications.
        monitors:
          type: integer
          description: The total number of monitors.
        mocks:
          type: integer
          description: The total number of mock servers.
        flows:
          type: integer
          description: The total number of Postman Flows.
        environments:
          type: integer
          description: The total number of environments.
      required:
        - collections
        - specifications
        - monitors
        - mocks
        - flows
        - environments
      description: Information about the workspace's entities.
      title: getApiCatalogServiceEntityCountData
    GetApiCatalogServiceOwnerDataType:
      type: string
      enum:
        - user
        - group
      description: The type of owner.
      title: GetApiCatalogServiceOwnerDataType
    getApiCatalogServiceOwnerData:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/GetApiCatalogServiceOwnerDataType'
          description: The type of owner.
        id:
          type: string
          description: The owner's ID.
        name:
          type:
            - string
            - 'null'
          description: The owner's display name.
        profilePicUrl:
          type:
            - string
            - 'null'
          format: uri
          description: The URL of the owner's profile picture.
        publicHandle:
          type:
            - string
            - 'null'
          format: uri
          description: The URL of the owner's public profile.
      required:
        - type
        - id
        - name
        - profilePicUrl
        - publicHandle
      description: The service's owner. If no owner is assigned, this returns a null value.
      title: getApiCatalogServiceOwnerData
    GetApiCatalogServiceDataGovernanceGroup:
      type: object
      properties:
        id:
          type: string
          description: The governance group's ID.
        name:
          type: string
          description: The governance group's name.
      required:
        - id
        - name
      description: >-
        The governance group that the workspace belongs to. If no governance
        group is assigned, this returns a null value.
      title: GetApiCatalogServiceDataGovernanceGroup
    GetApiCatalogServiceDataDependenciesItemsDirection:
      type: string
      enum:
        - inbound
        - outbound
      description: Whether traffic flows into (inbound) or out of (outbound) the service.
      title: GetApiCatalogServiceDataDependenciesItemsDirection
    GetApiCatalogServiceDataDependenciesItems:
      type: object
      properties:
        id:
          type: string
          description: The dependent service's ID.
        name:
          type: string
          description: The dependent service's name.
        direction:
          $ref: >-
            #/components/schemas/GetApiCatalogServiceDataDependenciesItemsDirection
          description: >-
            Whether traffic flows into (inbound) or out of (outbound) the
            service.
      required:
        - id
        - name
        - direction
      title: GetApiCatalogServiceDataDependenciesItems
    GetApiCatalogServiceData:
      type: object
      properties:
        id:
          type: string
          description: The service's ID.
        name:
          type: string
          description: The service's name.
        status:
          $ref: '#/components/schemas/GetApiCatalogServiceDataStatus'
          description: The overall health status, derived from compliance signals.
        lastActivityAt:
          type:
            - string
            - 'null'
          format: date-time
          description: >-
            The date and time of the last observed activity. If there's no
            activity in the time window, this returns a null value.
        traffic:
          $ref: '#/components/schemas/getApiCatalogServiceTrafficData'
        compliance:
          $ref: '#/components/schemas/getApiCatalogServiceComplianceData'
        entityCounts:
          $ref: '#/components/schemas/getApiCatalogServiceEntityCountData'
        createdAt:
          type:
            - string
            - 'null'
          format: date-time
          description: The date and time at which the workspace was created.
        gitRepo:
          type:
            - string
            - 'null'
          format: uri
          description: >-
            The URL of the linked Git repository. If the workspace isn't
            connected to a repository, this returns a null value.
        owner:
          $ref: '#/components/schemas/getApiCatalogServiceOwnerData'
        tags:
          type: array
          items:
            type: string
          description: A list of the workspace's tags.
        governanceGroup:
          oneOf:
            - $ref: '#/components/schemas/GetApiCatalogServiceDataGovernanceGroup'
            - type: 'null'
          description: >-
            The governance group that the workspace belongs to. If no governance
            group is assigned, this returns a null value.
        dependencies:
          type: array
          items:
            $ref: '#/components/schemas/GetApiCatalogServiceDataDependenciesItems'
          description: >-
            A list of inbound and outbound service dependencies from the service
            graph.
      required:
        - id
        - name
        - status
        - lastActivityAt
        - traffic
        - compliance
        - entityCounts
        - createdAt
        - gitRepo
        - owner
        - tags
        - governanceGroup
        - dependencies
      description: Information about the service.
      title: GetApiCatalogServiceData
    getApiCatalogService:
      type: object
      properties:
        meta:
          $ref: '#/components/schemas/GetApiCatalogServiceMeta'
          description: The response's meta information for paginated results.
        data:
          $ref: '#/components/schemas/GetApiCatalogServiceData'
          description: Information about the service.
      required:
        - meta
        - data
      title: getApiCatalogService
    apiCatalogErrorPathMessage:
      type: object
      properties:
        path:
          type: string
          description: The path in which the error occurred.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: apiCatalogErrorPathMessage
    apiCatalogError:
      type: object
      properties:
        type:
          type: string
          format: uri
          description: >-
            The [URI reference](https://www.rfc-editor.org/rfc/rfc3986) that
            identifies the type of problem.
        status:
          type: integer
          description: The HTTP status code generated by the origin server.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: An explanation about the problem.
        errors:
          type: array
          items:
            $ref: '#/components/schemas/apiCatalogErrorPathMessage'
          description: A list of errors.
      title: apiCatalogError
    CommonErrorTypeTitleDetailStatusType:
      oneOf:
        - type: string
          format: uri-reference
        - type: string
      title: CommonErrorTypeTitleDetailStatusType
    commonErrorTypeTitleDetailStatus:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailStatusType'
        title:
          type: string
          description: A short summary of the problem.
        detail:
          type: string
          description: Information about the error.
        status:
          type: integer
          description: The error's HTTP status code.
      title: commonErrorTypeTitleDetailStatus
    CommonErrorTypeTitleDetailDetail:
      oneOf:
        - type: string
        - type: object
          additionalProperties:
            description: Any type
      description: Information about the error.
      title: CommonErrorTypeTitleDetailDetail
    commonErrorTypeTitleDetail:
      type: object
      properties:
        type:
          type: string
          description: The type of error.
        title:
          type: string
          description: A short summary of the problem.
        detail:
          $ref: '#/components/schemas/CommonErrorTypeTitleDetailDetail'
          description: Information about the error.
      title: commonErrorTypeTitleDetail
    CommonErrorNameMessageError:
      type: object
      properties:
        name:
          type: string
          description: The error name.
        message:
          type: string
          description: The error message.
      description: Information about the error.
      title: CommonErrorNameMessageError
    commonErrorNameMessage:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CommonErrorNameMessageError'
          description: Information about the error.
      title: commonErrorNameMessage
    GetApiCatalogServiceRequestInternalServerError:
      oneOf:
        - $ref: '#/components/schemas/commonErrorTypeTitleDetail'
        - $ref: '#/components/schemas/commonErrorTypeTitleDetailStatus'
        - $ref: '#/components/schemas/commonErrorNameMessage'
      title: GetApiCatalogServiceRequestInternalServerError
  securitySchemes:
    PostmanApiKey:
      type: apiKey
      in: header
      name: x-api-key
    scimApiKey:
      type: apiKey
      in: header
      name: Authorization
      description: >-
        A valid [SCIM API
        key](https://learning.postman.com/docs/administration/scim-provisioning/scim-provisioning-overview/#generating-scim-api-key)
        for calls to SCIM endpoints.
    basicAuth:
      type: http
      scheme: basic

```

## Examples



**Response**

```json
{
  "meta": {
    "timeRange": {
      "start": "2026-04-14T13:09:36.521Z",
      "end": "2026-04-21T13:09:36.521Z",
      "label": "last_7_days"
    },
    "filters": {}
  },
  "data": {
    "id": "a5450abd-ec89-443c-a17a-68132e738714",
    "name": "api-control-service",
    "status": "critical",
    "lastActivityAt": "2026-04-21T13:09:33Z",
    "traffic": {
      "p95LatencyMs": 251.8122497558594,
      "errorRatePct": 0.78,
      "totalRequests": 10999,
      "totalRequestsDeltaPct": 398.82,
      "totalErrors": 86,
      "totalEndpoints": 10,
      "p95LatencyMsDeltaPct": 0.47,
      "errorRatePctDeltaPct": 188.89
    },
    "compliance": {
      "monitorRun": {
        "status": "failed",
        "totalMonitors": 3,
        "activeMonitors": 3,
        "passingMonitors": 1,
        "failingMonitors": 2,
        "lastRunAt": "2026-04-21T13:09:24.847Z"
      },
      "cliRun": {
        "status": "failed",
        "activePipelines": 5,
        "passingPipelines": 3,
        "failingPipelines": 2,
        "lastRunAt": "2026-04-19T12:08:43.112Z"
      },
      "specLint": {
        "status": "passed",
        "totalSpecs": 2,
        "activeSpecs": 1,
        "passingSpecs": 1,
        "failingSpecs": 0,
        "lastRunAt": "2026-04-19T12:08:43.110Z"
      },
      "collectionRuns": {
        "totalRuns": 3159,
        "passedRuns": 462,
        "failedRuns": 2697,
        "passRate": 14.62,
        "totalCollections": 2,
        "activeCollections": 2,
        "totalAssertions": 161456,
        "failedAssertions": 69355
      }
    },
    "entityCounts": {
      "collections": 2,
      "specifications": 2,
      "monitors": 3,
      "mocks": 0,
      "flows": 0,
      "environments": 2
    },
    "createdAt": "2025-12-04T15:13:31.000Z",
    "gitRepo": "https://github.com/acs-team/api-control-service",
    "owner": {
      "type": "user",
      "id": "12345678",
      "name": "Taylor Lee",
      "profilePicUrl": "https://res.cloudinary.com/ddn1d7iih/image/upload/t_user_profile_300/v1/user/default-9",
      "publicHandle": "https://www.acs-beta.example.com/orbital-module-specialist-12345678"
    },
    "tags": [
      "acs-beta",
      "acs"
    ],
    "governanceGroup": {
      "id": "4937d932-b1f4-44cd-a929-4a860707766e",
      "name": "ACS"
    },
    "dependencies": [
      {
        "id": "svc_3l2QDWTQQ161UYpSwGK34U",
        "name": "external",
        "direction": "inbound"
      },
      {
        "id": "svc_5izBBtWeFwxRhvtqJwfNU7",
        "name": "Identity - Beta",
        "direction": "inbound"
      },
      {
        "id": "svc_5izBBtWeFwxRhvtqJwfNU7",
        "name": "Identity - Beta",
        "direction": "outbound"
      }
    ]
  }
}
```

**SDK Code**

```python Successful Response
import requests

url = "https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6"

querystring = {"systemEnvironmentId":"23b554c1-c30c-483d-bf98-dbe9ab7b88a0"}

headers = {"x-api-key": "<apiKey>"}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Successful Response
const url = 'https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0';
const options = {method: 'GET', headers: {'x-api-key': '<apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Successful Response
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("x-api-key", "<apiKey>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Successful Response
require 'uri'
require 'net/http'

url = URI("https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<apiKey>'

response = http.request(request)
puts response.read_body
```

```java Successful Response
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0")
  .header("x-api-key", "<apiKey>")
  .asString();
```

```php Successful Response
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0', [
  'headers' => [
    'x-api-key' => '<apiKey>',
  ],
]);

echo $response->getBody();
```

```csharp Successful Response
using RestSharp;

var client = new RestClient("https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0");
var request = new RestRequest(Method.GET);
request.AddHeader("x-api-key", "<apiKey>");
IRestResponse response = client.Execute(request);
```

```swift Successful Response
import Foundation

let headers = ["x-api-key": "<apiKey>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.getpostman.com/api-catalog/services/c6ec74e7-14f8-498c-9470-7a654173bed6?systemEnvironmentId=23b554c1-c30c-483d-bf98-dbe9ab7b88a0")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```